/* DC9 update
 Esto es requerido por Dynamic C versin 9, para utilizar
una IP fija en programa y la interfaz Ethernet por defecto.
No es necesario en DC8, se autodefinen en las libs */
#define TCPCONFIG 0
#define USE_ETHERNET		1
/* Fin DC9 update */

#define MY_IP_ADDRESS   "192.168.1.54"
#define MY_NETMASK      "255.255.255.0"

#define MY_GATEWAY		"192.168.1.1"


#ximport "index2.shtml"   index_html

//#define HTTP_VERBOSE

#memmap xmem
#use "dcrtcp.lib"
#use "http.lib"

const HttpType http_types[] =
{
   { ".shtml", "text/html", shtml_handler}, // ssi
   { ".html", "text/html", NULL},           // html
   { ".cgi", "", NULL},                     // cgi
};

int list(HttpState* state);


const static HttpSpec http_flashspec[] =
{
   { HTTPSPEC_FILE,  "/",              index_html,    NULL, 0, NULL, NULL},
   { HTTPSPEC_FILE,  "/index.shtml",   index_html,    NULL, 0, NULL, NULL},

   { HTTPSPEC_FUNCTION, "listar", 			0,   		  		list,	0, NULL, NULL}
};

#define LINEAS 8

int list(HttpState* state)
{
	auto int printline;

	if(state->substate >= LINEAS)
		return 1;

	printline = state->substate;

	sprintf(state->buffer, "<tr><td>L&iacute;nea #<td>%2d<br>\r\n",printline);
	state->headerlen = strlen(state->buffer);
	state->headeroff = 0;
	state->substate++;
	return(0);
}

main()
{
	sock_init();
	http_init();
   while(1){
   	http_handler();
	}
}

